##### 7.5.20.0. isNC

Procedure from library `nctools.lib` (see nctools_lib).

Usage:
  isNC();

Purpose:
  check whether a basering is commutative or not

Return:
  int, 1 if basering is noncommutative and 0 otherwise

Example:

    LIB "nctools.lib";
    def a = makeWeyl(2);
    setring a;
    isNC();
    ==> 1
    kill a;
    ring r = 17,(x(1..7)),dp;
    isNC();
    ==> 0
    kill r;

User manual for Singular version 4.4.1, 2025, generated by texi2html.